View Issue Details

IDCategoryLast Update
0005476bugs2020-06-26 21:05
ReporterjwrdegoedeAssigned Toseablade 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version2.8.14 
Fixed in Version 
Summary0005476: PATCH: Fix ardour 2.8.16 compilation with gcc-4.8
Descriptiongcc-4.8 does not like it if classes are used before they are declared (implicit forward declaration), so the order in which headers are included is important, this patch fixes things so that ardour compiles with gcc-4.8
Additional InformationThis fixes errors like:

g++ -o gtk2_ardour/actions.o -c -Woverloaded-virtual -DGTK_NEW_TOOLTIP_API -DPACKAGE=\"gtk2_ardour\" -DLIBSIGC_DISABLE_DEPRECATED -DBOOST_SYSTEM_NO_DEPRECATED -DLOCALEDIR=\"/usr/share/locale\" -DVERSIONSTRING=\"2.8.16\" -DHAVE_LV2 -DHAVE_NEW_LILV -DHAVE_SUIL -O3 -fomit-frame-pointer -ffast-math -fstrength-reduce -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -DARCH_X86 -DBUILD_SSE_OPTIMIZATIONS -DUSE_X86_64_ASM -msse -mfpmath=sse -DUSE_XMMINTRIN -Wall -DHAVE_LIBLO -DPROGRAM_NAME=\"Ardour\" -D_REENTRANT -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D__STDC_FORMAT_MACROS -Ilibs -DENABLE_NLS -DPACKAGE=\"gtk2_ardour\" -pthread -pthread -pthread -pthread -pthread -pthread -pthread -DBOOST_SYSTEM_NO_DEPRECATED -DFFT_ANALYSIS -DFREESOUND -DUSE_RUBBERBAND -DHAVE_LV2 -DHAVE_SUIL -D_REENTRANT -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -I/usr/local/include -Ilibs/pbd -I/usr/include/pixman-1 -Ilibs/surfaces/control_protocol -I/usr/include/cairo -I/usr/lib64/pangomm-1.4/include -I/usr/include/atk-1.0 -I/usr/lib64/gtkmm-2.4/include -I/usr/include/libdrm -I/usr/include/libart-2.0 -I/usr/include/sord-0 -I/usr/include/cairomm-1.0 -I/usr/include/gail-1.0 -Ilibs/rubberband -I/usr/include/glib-2.0 -I/usr/include/gdkmm-2.4 -I/usr/include/pango-1.0 -Ilibs/vamp-sdk -I/usr/include/freetype2 -I/usr/lib64/glibmm-2.4/include -I/usr/include/lilv-0 -Igtk2_ardour -I/usr/include/libpng15 -I/usr/include/serd-0 -I/usr/lib64/libgnomecanvasmm-2.6/include -I/usr/include/atkmm-1.6 -I/usr/include/sratom-0 -I/usr/include/harfbuzz -Ilibs/ardour -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -Ilibs/midi++2 -I/usr/lib64/gtk-2.0/include -I/usr/lib64/sigc++-2.0/include -I/usr/include/libgnomecanvasmm-2.6 -I/usr/lib64/glib-2.0/include -I/usr/include/libgnomecanvas-2.0 -I/usr/include/sigc++-2.0 -I/usr/include/gtkmm-2.4 -I/usr/lib64/cairomm-1.0/include -I/usr/lib64/gdkmm-2.4/include -I. -Ilibs/gtkmm2ext -I/usr/lib64/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/giomm-2.4 -I/usr/include/raptor2 -I/usr/include/glibmm-2.4 -I/usr/include/suil-0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libxml2 gtk2_ardour/actions.cc
In file included from /usr/include/gtkmm-2.4/gtkmm/accelmap.h:28:0,
                 from gtk2_ardour/actions.cc:29:
/usr/include/gdkmm-2.4/gdkmm/types.h:92:7: error: 'Value' is not a class template
 class Value<Gdk::ByteOrder> : public Glib::Value_Enum<Gdk::ByteOrder>
       ^
/usr/include/gdkmm-2.4/gdkmm/types.h:92:54: error: expected template-name before '<' token
 class Value<Gdk::ByteOrder> : public Glib::Value_Enum<Gdk::ByteOrder>
                                                      ^
/usr/include/gdkmm-2.4/gdkmm/types.h:92:54: error: expected '{' before '<' token
/usr/include/gdkmm-2.4/gdkmm/types.h:92:54: error: expected unqualified-id before '<' token
In file included from /usr/include/gtkmm-2.4/gtkmm/accelmap.h:28:0,
                 from gtk2_ardour/actions.cc:29:
/usr/include/gdkmm-2.4/gdkmm/types.h:174:7: error: 'Value' is not a class template
 class Value<Gdk::ModifierType> : public Glib::Value_Flags<Gdk::ModifierType>
       ^
/usr/include/gdkmm-2.4/gdkmm/types.h:174:30: error: 'Glib::Value' is not a template type
 class Value<Gdk::ModifierType> : public Glib::Value_Flags<Gdk::ModifierType>
                              ^
/usr/include/gdkmm-2.4/gdkmm/types.h:174:58: error: expected template-name before '<' token
 class Value<Gdk::ModifierType> : public Glib::Value_Flags<Gdk::ModifierType>
                                                          ^
Note the actual errors for this single file continue for many screens, but this snippet should make the problem clear.
TagsNo tags attached.

Activities

2013-05-10 12:34

 

ardour-fix-mm-includes.patch (65,705 bytes)
gtkmm is sensitive to headers not being included in the right order, esp.
to glibmm.h and gdkmm.h not being included first. This causes compile errors
with gcc >= 4.8

Switch to simply including gtkmm.h, rather then specific headers, as that does
the right thing for us.
diff -up ardour-2.8.16/libs/gtkmm2ext/application.cc~ ardour-2.8.16/libs/gtkmm2ext/application.cc
--- ardour-2.8.16/libs/gtkmm2ext/application.cc~	2010-04-16 16:43:29.000000000 +0200
+++ ardour-2.8.16/libs/gtkmm2ext/application.cc	2013-05-10 12:34:45.890929703 +0200
@@ -21,8 +21,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#include <gtkmm/menushell.h>
-#include <gtkmm/menuitem.h>
+#include <gtkmm.h>
 
 #include "gtkmm2ext/application.h"
 #include "gtkmm2ext/gtkapplication.h"
diff -up ardour-2.8.16/libs/gtkmm2ext/choice.cc~ ardour-2.8.16/libs/gtkmm2ext/choice.cc
--- ardour-2.8.16/libs/gtkmm2ext/choice.cc~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/choice.cc	2013-05-10 12:36:27.538937570 +0200
@@ -18,7 +18,7 @@
     $Id: choice.cc 461 2006-04-20 20:41:05Z nickm $
 */
 
-#include <gtkmm/label.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/choice.h>
 
 using namespace std;
diff -up ardour-2.8.16/libs/gtkmm2ext/fastmeter.cc~ ardour-2.8.16/libs/gtkmm2ext/fastmeter.cc
--- ardour-2.8.16/libs/gtkmm2ext/fastmeter.cc~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/fastmeter.cc	2013-05-10 12:35:45.250934297 +0200
@@ -21,10 +21,9 @@
 #include <iostream>
 #include <cmath>
 #include <algorithm>
-#include <gdkmm/rectangle.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/fastmeter.h>
 #include <gtkmm2ext/utils.h>
-#include <gtkmm/style.h>
 #include <cstring>
 
 #define UINT_TO_RGB(u,r,g,b) { (*(r)) = ((u)>>16)&0xff; (*(g)) = ((u)>>8)&0xff; (*(b)) = (u)&0xff; }
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/barcontroller.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/barcontroller.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/barcontroller.h~	2009-07-09 20:29:31.000000000 +0200
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/barcontroller.h	2013-05-10 12:38:14.145945821 +0200
@@ -19,8 +19,7 @@
 #ifndef __gtkmm2ext_bar_controller_h__
 #define __gtkmm2ext_bar_controller_h__
 
-#include <gtkmm/frame.h>
-#include <gtkmm/drawingarea.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/binding_proxy.h>
 
 namespace ARDOUR {
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/choice.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/choice.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/choice.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/choice.h	2013-05-10 12:38:51.009948674 +0200
@@ -20,10 +20,7 @@
 #ifndef __pbd_gtkmm_choice_h__
 #define __pbd_gtkmm_choice_h__
 
-#include <gtkmm/dialog.h>
-#include <gtkmm/image.h>
-#include <gtkmm/stock.h>
-#include <gtkmm/box.h>
+#include <gtkmm.h>
 #include <string>
 #include <vector>
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/dndtreeview.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/dndtreeview.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/dndtreeview.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/dndtreeview.h	2013-05-10 12:39:11.089950228 +0200
@@ -22,9 +22,7 @@
 
 #include <stdint.h>
 #include <string>
-#include <gtkmm/treeview.h>
-#include <gtkmm/treeselection.h>
-#include <gtkmm/selectiondata.h>
+#include <gtkmm.h>
 
 namespace Gtkmm2ext {
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/fastmeter.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/fastmeter.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/fastmeter.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/fastmeter.h	2013-05-10 12:38:40.721947878 +0200
@@ -20,8 +20,7 @@
 #ifndef __gtkmm2ext_fastmeter_h__
 #define __gtkmm2ext_fastmeter_h__
 
-#include <gtkmm/drawingarea.h>
-#include <gdkmm/pixbuf.h>
+#include <gtkmm.h>
 
 namespace Gtkmm2ext {
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/focus_entry.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/focus_entry.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/focus_entry.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/focus_entry.h	2013-05-10 12:39:19.953950914 +0200
@@ -20,7 +20,7 @@
 #ifndef __gtkmm2ext_focus_entry_h__
 #define __gtkmm2ext_focus_entry_h__
 
-#include <gtkmm/entry.h>
+#include <gtkmm.h>
 
 namespace Gtkmm2ext {
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/gtk_ui.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/gtk_ui.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/gtk_ui.h~	2011-02-04 05:05:47.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/gtk_ui.h	2013-05-10 12:37:56.737944474 +0200
@@ -27,14 +27,7 @@
 #include <stdint.h>
 #include <setjmp.h>
 #include <pthread.h>
-#include <gtkmm/widget.h>
-#include <gtkmm/style.h>
-#ifndef GTK_NEW_TOOLTIP_API
-#include <gtkmm/tooltips.h>
-#endif
-#include <gtkmm/textbuffer.h>
-#include <gtkmm/main.h>
-#include <gdkmm/color.h>
+#include <gtkmm.h>
 #include <pbd/abstract_ui.h>
 #include <pbd/ringbufferNPT.h>
  
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/idle_adjustment.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/idle_adjustment.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/idle_adjustment.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/idle_adjustment.h	2013-05-10 12:39:33.585951969 +0200
@@ -21,7 +21,7 @@
 #define __gtkmm2ext_idle_adjustment_h__
 
 #include <sys/time.h>
-#include <gtkmm/adjustment.h>
+#include <gtkmm.h>
 
 namespace Gtkmm2ext {
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/pixfader.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/pixfader.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/pixfader.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/pixfader.h	2013-05-10 12:38:34.865947425 +0200
@@ -22,9 +22,7 @@
 
 #include <cmath>
 
-#include <gtkmm/drawingarea.h>
-#include <gtkmm/adjustment.h>
-#include <gdkmm/pixbuf.h>
+#include <gtkmm.h>
 
 namespace Gtkmm2ext {
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/pixscroller.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/pixscroller.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/pixscroller.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/pixscroller.h	2013-05-10 12:38:03.809945021 +0200
@@ -20,9 +20,7 @@
 #ifndef __gtkmm2ext_pixscroller_h__ 
 #define __gtkmm2ext_pixscroller_h__
 
-#include <gtkmm/drawingarea.h>
-#include <gtkmm/adjustment.h>
-#include <gdkmm.h>
+#include <gtkmm.h>
 
 namespace Gtkmm2ext {
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/prompter.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/prompter.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/prompter.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/prompter.h	2013-05-10 12:38:22.945946502 +0200
@@ -21,10 +21,7 @@
 #define __gtkmm2ext_prompter_h__
 
 #include <string>
-#include <gtkmm/box.h>
-#include <gtkmm/entry.h>
-#include <gtkmm/label.h>
-#include <gtkmm/dialog.h>
+#include <gtkmm.h>
 #include <sigc++/sigc++.h>
 
 namespace Gtk {
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/stateful_button.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/stateful_button.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/stateful_button.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/stateful_button.h	2013-05-10 12:39:25.793951366 +0200
@@ -22,7 +22,7 @@
 
 #include <vector>
 
-#include <gtkmm/togglebutton.h>
+#include <gtkmm.h>
 
 namespace Gtkmm2ext {
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/tearoff.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/tearoff.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/tearoff.h~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/tearoff.h	2013-05-10 12:38:57.297949161 +0200
@@ -20,10 +20,7 @@
 #ifndef __gtkmm2ext_tearoff_h__
 #define __gtkmm2ext_tearoff_h__
 
-#include <gtkmm/window.h>
-#include <gtkmm/arrow.h>
-#include <gtkmm/box.h>
-#include <gtkmm/eventbox.h>
+#include <gtkmm.h>
 
 namespace Gtkmm2ext {
 
diff -up ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/utils.h~ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/utils.h
--- ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/utils.h~	2009-03-13 13:42:40.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/gtkmm2ext/utils.h	2013-05-10 12:37:19.682941606 +0200
@@ -23,8 +23,7 @@
 #include <vector>
 #include <string>
 
-#include <gtkmm/treeview.h>
-#include <gdkmm/window.h> /* for WMDecoration */
+#include <gtkmm.h>
 
 namespace Gtk {
 	class ComboBoxText;
diff -up ardour-2.8.16/libs/gtkmm2ext/idle_adjustment.cc~ ardour-2.8.16/libs/gtkmm2ext/idle_adjustment.cc
--- ardour-2.8.16/libs/gtkmm2ext/idle_adjustment.cc~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/idle_adjustment.cc	2013-05-10 12:34:33.891928774 +0200
@@ -19,7 +19,7 @@
 
 #define _BSD_SOURCE
 #include <gtkmm2ext/idle_adjustment.h>
-#include <gtkmm/main.h>
+#include <gtkmm.h>
 #include <iostream>
 
 using namespace Gtk;
diff -up ardour-2.8.16/libs/gtkmm2ext/prompter.cc~ ardour-2.8.16/libs/gtkmm2ext/prompter.cc
--- ardour-2.8.16/libs/gtkmm2ext/prompter.cc~	2009-02-24 13:37:45.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/prompter.cc	2013-05-10 12:36:11.906936360 +0200
@@ -22,7 +22,7 @@
 
 #include <pbd/whitespace.h>
 
-#include <gtkmm/stock.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/prompter.h>
 
 #include "i18n.h"
diff -up ardour-2.8.16/libs/gtkmm2ext/stateful_button.cc~ ardour-2.8.16/libs/gtkmm2ext/stateful_button.cc
--- ardour-2.8.16/libs/gtkmm2ext/stateful_button.cc~	2010-03-19 20:04:50.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/stateful_button.cc	2013-05-10 12:36:18.834936896 +0200
@@ -20,7 +20,7 @@
 #include <string>
 #include <iostream>
 
-#include <gtkmm/main.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/stateful_button.h>
 
diff -up ardour-2.8.16/libs/gtkmm2ext/utils.cc~ ardour-2.8.16/libs/gtkmm2ext/utils.cc
--- ardour-2.8.16/libs/gtkmm2ext/utils.cc~	2009-03-13 14:01:25.000000000 +0100
+++ ardour-2.8.16/libs/gtkmm2ext/utils.cc	2013-05-10 12:35:09.746931549 +0200
@@ -21,15 +21,10 @@
 #include <iostream>
 #include <map>
 
-#include <gtk/gtkpaned.h>
 #include <gtk/gtk.h>
 
 #include <gtkmm2ext/utils.h>
-#include <gtkmm/widget.h>
-#include <gtkmm/button.h>
-#include <gtkmm/window.h>
-#include <gtkmm/paned.h>
-#include <gtkmm/comboboxtext.h>
+#include <gtkmm.h>
 
 #include "i18n.h"
 
diff -up ardour-2.8.16/gtk2_ardour/actions.cc~ ardour-2.8.16/gtk2_ardour/actions.cc
--- ardour-2.8.16/gtk2_ardour/actions.cc~	2013-05-10 12:55:41.612026892 +0200
+++ ardour-2.8.16/gtk2_ardour/actions.cc	2013-05-10 12:48:09.470991898 +0200
@@ -26,6 +26,7 @@
 #include <gtk/gtkuimanager.h>
 #include <gtk/gtkactiongroup.h>
 
+#include <gtkmm.h>
 #include <gtkmm/accelmap.h>
 
 #include <pbd/error.h>
diff -up ardour-2.8.16/gtk2_ardour/add_route_dialog.cc~ ardour-2.8.16/gtk2_ardour/add_route_dialog.cc
--- ardour-2.8.16/gtk2_ardour/add_route_dialog.cc~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/add_route_dialog.cc	2013-05-10 12:48:43.070994498 +0200
@@ -21,8 +21,7 @@
 #include <cmath>
 
 #include <sigc++/bind.h>
-#include <gtkmm/stock.h>
-#include <gtkmm/separator.h>
+#include <gtkmm.h>
 #include <pbd/error.h>
 #include <pbd/convert.h>
 #include <gtkmm2ext/utils.h>
diff -up ardour-2.8.16/gtk2_ardour/analysis_window.cc~ ardour-2.8.16/gtk2_ardour/analysis_window.cc
--- ardour-2.8.16/gtk2_ardour/analysis_window.cc~	2011-04-06 19:09:42.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/analysis_window.cc	2013-05-10 12:48:51.997995189 +0200
@@ -19,10 +19,7 @@
 */
 
 #include <gtkmm2ext/gtk_ui.h>
-#include <gtkmm/stock.h>
-#include <gtkmm/label.h>
-#include <gtkmm/treemodel.h>
-#include <gtkmm/treeiter.h>
+#include <gtkmm.h>
 
 #include <ardour/audioregion.h>
 #include <ardour/audioplaylist.h>
diff -up ardour-2.8.16/gtk2_ardour/ardour_ui.cc~ ardour-2.8.16/gtk2_ardour/ardour_ui.cc
--- ardour-2.8.16/gtk2_ardour/ardour_ui.cc~	2012-07-20 17:24:56.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/ardour_ui.cc	2013-05-10 12:48:58.814995717 +0200
@@ -32,7 +32,7 @@
 
 #include <sys/resource.h>
 
-#include <gtkmm/messagedialog.h>
+#include <gtkmm.h>
 #include <gtkmm/accelmap.h>
 #include <gtkmm2ext/application.h>
 
diff -up ardour-2.8.16/gtk2_ardour/ardour_ui_ed.cc~ ardour-2.8.16/gtk2_ardour/ardour_ui_ed.cc
--- ardour-2.8.16/gtk2_ardour/ardour_ui_ed.cc~	2012-10-17 00:35:38.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/ardour_ui_ed.cc	2013-05-10 12:49:06.509996312 +0200
@@ -26,7 +26,7 @@
 #include <pbd/pathscanner.h>
 #include <pbd/fpu.h>
 
-#include <glibmm/miscutils.h>
+#include <glibmm.h>
 
 #include <gtkmm2ext/utils.h>
 #include <gtkmm2ext/window_title.h>
diff -up ardour-2.8.16/gtk2_ardour/crossfade_edit.cc~ ardour-2.8.16/gtk2_ardour/crossfade_edit.cc
--- ardour-2.8.16/gtk2_ardour/crossfade_edit.cc~	2010-03-26 17:39:18.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/crossfade_edit.cc	2013-05-10 12:49:47.165999459 +0200
@@ -21,11 +21,9 @@
 
 #include <sigc++/bind.h>
 
-#include <gtkmm/frame.h>
-#include <gtkmm/image.h>
-#include <gtkmm/scrolledwindow.h>
+#include <gtkmm.h>
 
-#include <libgnomecanvasmm/line.h>
+#include <libgnomecanvasmm.h>
 
 #include <ardour/automation_event.h>
 #include <ardour/curve.h>
diff -up ardour-2.8.16/gtk2_ardour/editor.cc~ ardour-2.8.16/gtk2_ardour/editor.cc
--- ardour-2.8.16/gtk2_ardour/editor.cc~	2012-03-16 15:33:28.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/editor.cc	2013-05-10 12:50:02.782000668 +0200
@@ -33,10 +33,7 @@
 #include <pbd/enumwriter.h>
 #include <pbd/memento_command.h>
 
-#include <glibmm/miscutils.h>
-#include <gtkmm/image.h>
-#include <gdkmm/color.h>
-#include <gdkmm/bitmap.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/grouped_buttons.h>
 #include <gtkmm2ext/gtk_ui.h>
diff -up ardour-2.8.16/gtk2_ardour/editor_canvas.cc~ ardour-2.8.16/gtk2_ardour/editor_canvas.cc
--- ardour-2.8.16/gtk2_ardour/editor_canvas.cc~	2012-03-16 15:33:28.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/editor_canvas.cc	2013-05-10 12:50:09.534001190 +0200
@@ -23,8 +23,7 @@
 #undef Rect
 #endif /* __APPLE__ */
 
-#include <libgnomecanvasmm/init.h>
-#include <libgnomecanvasmm/pixbuf.h>
+#include <libgnomecanvasmm.h>
 #include <jack/types.h>
 #include <gtkmm2ext/utils.h>
 
diff -up ardour-2.8.16/gtk2_ardour/editor_export_audio.cc~ ardour-2.8.16/gtk2_ardour/editor_export_audio.cc
--- ardour-2.8.16/gtk2_ardour/editor_export_audio.cc~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/editor_export_audio.cc	2013-05-10 12:50:13.918001530 +0200
@@ -20,7 +20,7 @@
 #include <unistd.h>
 #include <climits>
 
-#include <gtkmm/messagedialog.h>
+#include <gtkmm.h>
 
 #include "export_session_dialog.h"
 #include "export_region_dialog.h"
diff -up ardour-2.8.16/gtk2_ardour/editor_keys.cc~ ardour-2.8.16/gtk2_ardour/editor_keys.cc
--- ardour-2.8.16/gtk2_ardour/editor_keys.cc~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/editor_keys.cc	2013-05-10 12:50:18.975001921 +0200
@@ -25,7 +25,7 @@
 
 #include <ardour/session.h>
 #include <ardour/region.h>
-#include <gtkmm/treeview.h>
+#include <gtkmm.h>
 
 #include "ardour_ui.h"
 #include "editor.h"
diff -up ardour-2.8.16/gtk2_ardour/editor_mixer.cc~ ardour-2.8.16/gtk2_ardour/editor_mixer.cc
--- ardour-2.8.16/gtk2_ardour/editor_mixer.cc~	2012-03-09 17:56:54.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/editor_mixer.cc	2013-05-10 12:50:23.406002264 +0200
@@ -17,7 +17,7 @@
 
 */
 
-#include <glibmm/miscutils.h>
+#include <glibmm.h>
 #include <gtkmm2ext/utils.h>
 #include <gtkmm2ext/window_title.h>
 
diff -up ardour-2.8.16/gtk2_ardour/engine_dialog.cc~ ardour-2.8.16/gtk2_ardour/engine_dialog.cc
--- ardour-2.8.16/gtk2_ardour/engine_dialog.cc~	2012-12-02 01:37:37.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/engine_dialog.cc	2013-05-10 12:50:36.878003307 +0200
@@ -4,8 +4,7 @@
 #include <map>
 
 #include <boost/scoped_ptr.hpp>
-#include <glibmm.h>
-#include <gtkmm/messagedialog.h>
+#include <gtkmm.h>
 #include <pbd/xml++.h>
 #include <pbd/epa.h>
 
@@ -21,7 +20,6 @@
 #include <ardour/profile.h>
 #include <jack/jack.h>
 
-#include <gtkmm/stock.h>
 #include <gtkmm2ext/utils.h>
 
 #include <pbd/convert.h>
diff -up ardour-2.8.16/gtk2_ardour/fft_graph.cc~ ardour-2.8.16/gtk2_ardour/fft_graph.cc
--- ardour-2.8.16/gtk2_ardour/fft_graph.cc~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/fft_graph.cc	2013-05-10 12:50:53.886004623 +0200
@@ -19,15 +19,7 @@
 
 #include <iostream>
 
-#include <glibmm.h>
-#include <glibmm/refptr.h>
-
-#include <gdkmm/gc.h>
-
-#include <gtkmm/widget.h>
-#include <gtkmm/style.h>
-#include <gtkmm/treemodel.h>
-#include <gtkmm/treepath.h>
+#include <gtkmm.h>
 
 #include <pbd/stl_delete.h>
 
diff -up ardour-2.8.16/gtk2_ardour/imageframe_time_axis.cc~ ardour-2.8.16/gtk2_ardour/imageframe_time_axis.cc
--- ardour-2.8.16/gtk2_ardour/imageframe_time_axis.cc~	2009-03-02 21:42:15.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/imageframe_time_axis.cc	2013-05-10 12:51:13.341006129 +0200
@@ -22,7 +22,7 @@
 
 #include <pbd/error.h>
 
-#include <gtkmm/menu.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/utils.h>
 #include <gtkmm2ext/gtk_ui.h>
diff -up ardour-2.8.16/gtk2_ardour/io_selector.cc~ ardour-2.8.16/gtk2_ardour/io_selector.cc
--- ardour-2.8.16/gtk2_ardour/io_selector.cc~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/io_selector.cc	2013-05-10 12:51:24.205006970 +0200
@@ -22,9 +22,7 @@
 
 #include <sigc++/bind.h>
 
-#include <gtkmm/messagedialog.h>
-
-#include <glibmm/thread.h>
+#include <gtkmm.h>
 
 #include <ardour/io.h>
 #include <ardour/route.h>
diff -up ardour-2.8.16/gtk2_ardour/keyboard.cc~ ardour-2.8.16/gtk2_ardour/keyboard.cc
--- ardour-2.8.16/gtk2_ardour/keyboard.cc~	2012-04-19 16:35:13.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/keyboard.cc	2013-05-10 12:51:29.773007401 +0200
@@ -28,6 +28,7 @@
 
 #include <ctype.h>
 
+#include <gtkmm.h>
 #include <gtkmm/accelmap.h>
 
 #include <gdk/gdkkeysyms.h>
diff -up ardour-2.8.16/gtk2_ardour/keyeditor.cc~ ardour-2.8.16/gtk2_ardour/keyeditor.cc
--- ardour-2.8.16/gtk2_ardour/keyeditor.cc~	2012-03-16 15:33:28.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/keyeditor.cc	2013-05-10 12:51:37.821008023 +0200
@@ -2,11 +2,8 @@
 
 #include <ardour/profile.h>
 
-#include <gtkmm/stock.h>
-#include <gtkmm/label.h>
-#include <gtkmm/accelkey.h>
+#include <gtkmm.h>
 #include <gtkmm/accelmap.h>
-#include <gtkmm/uimanager.h>
 
 #include <pbd/strsplit.h>
 #include <pbd/replace_all.h>
diff -up ardour-2.8.16/gtk2_ardour/main.cc~ ardour-2.8.16/gtk2_ardour/main.cc
--- ardour-2.8.16/gtk2_ardour/main.cc~	2012-07-02 15:21:59.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/main.cc	2013-05-10 12:51:47.421008766 +0200
@@ -23,7 +23,7 @@
 #include <fstream>
 
 #include <sigc++/bind.h>
-#include <gtkmm/settings.h>
+#include <gtkmm.h>
 
 #include <pbd/error.h>
 #include <pbd/textreceiver.h>
@@ -38,8 +38,6 @@
 #include <ardour/ardour.h>
 #include <ardour/audioengine.h>
 
-#include <gtkmm/main.h>
-
 #include <gtkmm2ext/application.h>
 #include <gtkmm2ext/popup.h>
 #include <gtkmm2ext/utils.h>
diff -up ardour-2.8.16/gtk2_ardour/marker_time_axis.cc~ ardour-2.8.16/gtk2_ardour/marker_time_axis.cc
--- ardour-2.8.16/gtk2_ardour/marker_time_axis.cc~	2009-03-02 21:42:15.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/marker_time_axis.cc	2013-05-10 12:51:52.333009147 +0200
@@ -21,7 +21,7 @@
 
 #include <pbd/error.h>
 
-#include <gtkmm/menu.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/utils.h>
 
diff -up ardour-2.8.16/gtk2_ardour/midi_port_dialog.cc~ ardour-2.8.16/gtk2_ardour/midi_port_dialog.cc
--- ardour-2.8.16/gtk2_ardour/midi_port_dialog.cc~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/midi_port_dialog.cc	2013-05-10 12:51:58.029009588 +0200
@@ -1,6 +1,6 @@
 #include <string>
 #include <sigc++/bind.h>
-#include <gtkmm/stock.h>
+#include <gtkmm.h>
 
 #include <pbd/convert.h>
 #include <gtkmm2ext/utils.h>
diff -up ardour-2.8.16/gtk2_ardour/mixer_ui.cc~ ardour-2.8.16/gtk2_ardour/mixer_ui.cc
--- ardour-2.8.16/gtk2_ardour/mixer_ui.cc~	2011-09-27 18:10:50.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/mixer_ui.cc	2013-05-10 12:52:09.053010441 +0200
@@ -20,11 +20,11 @@
 #include <algorithm>
 #include <sigc++/bind.h>
 
+#include <gtkmm.h>
 #include <gtkmm/accelmap.h>
 
 #include <pbd/convert.h>
 #include <pbd/stacktrace.h>
-#include <glibmm/thread.h>
 
 #include <gtkmm2ext/gtk_ui.h>
 #include <gtkmm2ext/utils.h>
diff -up ardour-2.8.16/gtk2_ardour/nag.cc~ ardour-2.8.16/gtk2_ardour/nag.cc
--- ardour-2.8.16/gtk2_ardour/nag.cc~	2012-07-02 15:21:59.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/nag.cc	2013-05-10 12:52:13.501010785 +0200
@@ -1,6 +1,6 @@
 #include <boost/scoped_ptr.hpp>
 #include <fstream>
-#include <gtkmm/stock.h>
+#include <gtkmm.h>
 
 #include <ardour/ardour.h>
 #include <pbd/epa.h>
diff -up ardour-2.8.16/gtk2_ardour/new_session_dialog.cc~ ardour-2.8.16/gtk2_ardour/new_session_dialog.cc
--- ardour-2.8.16/gtk2_ardour/new_session_dialog.cc~	2012-07-02 02:19:40.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/new_session_dialog.cc	2013-05-10 12:52:22.126011453 +0200
@@ -25,14 +25,7 @@
 
 #include "pbd/stacktrace.h"
 
-#include <gtkmm/entry.h>
-#include <gtkmm/filechooserbutton.h>
-#include <gtkmm/spinbutton.h>
-#include <gtkmm/checkbutton.h>
-#include <gtkmm/radiobutton.h>
-#include <gtkmm/filefilter.h>
-#include <gtkmm/stock.h>
-#include <gdkmm/cursor.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/window_title.h>
 
diff -up ardour-2.8.16/gtk2_ardour/panner2d.cc~ ardour-2.8.16/gtk2_ardour/panner2d.cc
--- ardour-2.8.16/gtk2_ardour/panner2d.cc~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/panner2d.cc	2013-05-10 12:52:27.453011865 +0200
@@ -21,8 +21,7 @@
 #include <climits>
 #include <cstring>
 
-#include <gtkmm/menu.h>
-#include <gtkmm/checkmenuitem.h>
+#include <gtkmm.h>
 
 #include <pbd/error.h>
 #include <ardour/panner.h>
diff -up ardour-2.8.16/gtk2_ardour/playlist_selector.cc~ ardour-2.8.16/gtk2_ardour/playlist_selector.cc
--- ardour-2.8.16/gtk2_ardour/playlist_selector.cc~	2009-10-26 02:03:48.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/playlist_selector.cc	2013-05-10 12:52:32.493012255 +0200
@@ -18,7 +18,7 @@
 
 */
 
-#include <gtkmm/button.h>
+#include <gtkmm.h>
 
 #include <ardour/session_playlist.h>
 #include <ardour/audio_diskstream.h>
diff -up ardour-2.8.16/gtk2_ardour/plugin_selector.cc~ ardour-2.8.16/gtk2_ardour/plugin_selector.cc
--- ardour-2.8.16/gtk2_ardour/plugin_selector.cc~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/plugin_selector.cc	2013-05-10 12:52:39.037012761 +0200
@@ -23,10 +23,7 @@
 
 #include <algorithm>
 
-#include <gtkmm/table.h>
-#include <gtkmm/stock.h>
-#include <gtkmm/button.h>
-#include <gtkmm/notebook.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/utils.h>
 
diff -up ardour-2.8.16/gtk2_ardour/plugin_ui.cc~ ardour-2.8.16/gtk2_ardour/plugin_ui.cc
--- ardour-2.8.16/gtk2_ardour/plugin_ui.cc~	2012-06-18 21:49:14.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/plugin_ui.cc	2013-05-10 12:52:45.117013232 +0200
@@ -26,7 +26,7 @@
 #include <pbd/xml++.h>
 #include <pbd/failed_constructor.h>
 
-#include <gtkmm/widget.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/click_box.h>
 #include <gtkmm2ext/fastmeter.h>
 #include <gtkmm2ext/barcontroller.h>
diff -up ardour-2.8.16/gtk2_ardour/redirect_box.cc~ ardour-2.8.16/gtk2_ardour/redirect_box.cc
--- ardour-2.8.16/gtk2_ardour/redirect_box.cc~	2010-03-16 19:30:09.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/redirect_box.cc	2013-05-10 12:52:55.325014022 +0200
@@ -24,9 +24,7 @@
 
 #include <pbd/convert.h>
 
-#include <glibmm/miscutils.h>
-
-#include <gtkmm/messagedialog.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/gtk_ui.h>
 #include <gtkmm2ext/utils.h>
diff -up ardour-2.8.16/gtk2_ardour/region_layering_order_editor.cc~ ardour-2.8.16/gtk2_ardour/region_layering_order_editor.cc
--- ardour-2.8.16/gtk2_ardour/region_layering_order_editor.cc~	2009-11-13 15:37:10.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/region_layering_order_editor.cc	2013-05-10 12:53:02.061014543 +0200
@@ -1,6 +1,4 @@
-#include <gtkmm/table.h>
-#include <gtkmm/stock.h>
-#include <gtkmm/alignment.h>
+#include <gtkmm.h>
 #include <ardour/region.h>
 
 #include "i18n.h"
diff -up ardour-2.8.16/gtk2_ardour/rhythm_ferret.cc~ ardour-2.8.16/gtk2_ardour/rhythm_ferret.cc
--- ardour-2.8.16/gtk2_ardour/rhythm_ferret.cc~	2011-04-06 19:09:42.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/rhythm_ferret.cc	2013-05-10 12:53:06.893014917 +0200
@@ -1,4 +1,4 @@
-#include <gtkmm/stock.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/utils.h>
 
 #include <pbd/memento_command.h>
diff -up ardour-2.8.16/gtk2_ardour/route_params_ui.cc~ ardour-2.8.16/gtk2_ardour/route_params_ui.cc
--- ardour-2.8.16/gtk2_ardour/route_params_ui.cc~	2010-03-16 21:00:41.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/route_params_ui.cc	2013-05-10 12:53:15.581015590 +0200
@@ -19,7 +19,7 @@
 
 #include <algorithm>
 
-#include <glibmm/thread.h>
+#include <glibmm.h>
 #include <gtkmm2ext/utils.h>
 #include <gtkmm2ext/stop_signal.h>
 #include <gtkmm2ext/window_title.h>
diff -up ardour-2.8.16/gtk2_ardour/route_time_axis.cc~ ardour-2.8.16/gtk2_ardour/route_time_axis.cc
--- ardour-2.8.16/gtk2_ardour/route_time_axis.cc~	2010-04-17 17:23:01.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/route_time_axis.cc	2013-05-10 12:53:22.957016161 +0200
@@ -31,8 +31,7 @@
 #include <pbd/whitespace.h>
 #include <pbd/memento_command.h>
 
-#include <gtkmm/menu.h>
-#include <gtkmm/menuitem.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/gtk_ui.h>
 #include <gtkmm2ext/selector.h>
 #include <gtkmm2ext/stop_signal.h>
diff -up ardour-2.8.16/gtk2_ardour/sfdb_ui.cc~ ardour-2.8.16/gtk2_ardour/sfdb_ui.cc
--- ardour-2.8.16/gtk2_ardour/sfdb_ui.cc~	2012-07-02 15:21:59.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/sfdb_ui.cc	2013-05-10 12:53:31.197016799 +0200
@@ -25,9 +25,7 @@
 #include <sys/stat.h>
 #include <sys/param.h>
 
-#include <gtkmm/box.h>
-#include <gtkmm/stock.h>
-#include <glibmm/fileutils.h>
+#include <gtkmm.h>
 
 #include <pbd/convert.h>
 #include <pbd/tokenizer.h>
diff -up ardour-2.8.16/gtk2_ardour/tempo_dialog.cc~ ardour-2.8.16/gtk2_ardour/tempo_dialog.cc
--- ardour-2.8.16/gtk2_ardour/tempo_dialog.cc~	2009-09-17 00:13:32.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/tempo_dialog.cc	2013-05-10 12:53:42.844017700 +0200
@@ -19,7 +19,7 @@
 
 #include <cstdio> // for snprintf, grrr 
 
-#include <gtkmm/stock.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/utils.h>
 
 #include "tempo_dialog.h"
diff -up ardour-2.8.16/gtk2_ardour/tempo_lines.cc~ ardour-2.8.16/gtk2_ardour/tempo_lines.cc
--- ardour-2.8.16/gtk2_ardour/tempo_lines.cc~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/tempo_lines.cc	2013-05-10 12:53:49.100018184 +0200
@@ -17,8 +17,7 @@
 
 */
 
-#include <libgnomecanvasmm/canvas.h>
-#include <libgnomecanvasmm/group.h>
+#include <libgnomecanvasmm.h>
 #include "tempo_lines.h"
 #include "ardour_ui.h"
 
diff -up ardour-2.8.16/gtk2_ardour/theme_manager.cc~ ardour-2.8.16/gtk2_ardour/theme_manager.cc
--- ardour-2.8.16/gtk2_ardour/theme_manager.cc~	2010-03-16 19:30:09.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/theme_manager.cc	2013-05-10 12:53:55.916018712 +0200
@@ -22,9 +22,8 @@
 #include <fstream>
 #include <errno.h>
 
-#include <gtkmm/stock.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/gtk_ui.h>
-#include <gtkmm/settings.h>
 
 #include <ardour/profile.h>
 
diff -up ardour-2.8.16/gtk2_ardour/time_axis_view.cc~ ardour-2.8.16/gtk2_ardour/time_axis_view.cc
--- ardour-2.8.16/gtk2_ardour/time_axis_view.cc~	2010-06-02 17:55:17.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/time_axis_view.cc	2013-05-10 12:54:02.060019187 +0200
@@ -24,7 +24,6 @@
 #include <list>
 
 #include <libgnomecanvasmm.h>
-#include <libgnomecanvasmm/canvas.h>
 #include <libgnomecanvasmm/item.h>
 
 #include <pbd/error.h>
diff -up ardour-2.8.16/gtk2_ardour/ui_config.cc~ ardour-2.8.16/gtk2_ardour/ui_config.cc
--- ardour-2.8.16/gtk2_ardour/ui_config.cc~	2010-03-16 19:30:09.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/ui_config.cc	2013-05-10 12:54:13.164020047 +0200
@@ -20,7 +20,7 @@
 #include <unistd.h>
 #include <cstdio> /* for snprintf, grrr */
 
-#include <glibmm/miscutils.h>
+#include <glibmm.h>
 
 #include <pbd/failed_constructor.h>
 #include <pbd/xml++.h>
diff -up ardour-2.8.16/gtk2_ardour/utils.cc~ ardour-2.8.16/gtk2_ardour/utils.cc
--- ardour-2.8.16/gtk2_ardour/utils.cc~	2012-07-27 04:36:07.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/utils.cc	2013-05-10 12:54:38.989022045 +0200
@@ -25,12 +25,8 @@
 #include <fstream>
 #include <sys/stat.h>
 #include <libart_lgpl/art_misc.h>
-#include <gtkmm/rc.h>
-#include <gtkmm/window.h>
-#include <gtkmm/combo.h>
-#include <gtkmm/label.h>
-#include <gtkmm/paned.h>
-#include <gtk/gtkpaned.h>
+#include <gtk/gtk.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/utils.h>
 #include <ardour/ardour.h>
diff -up ardour-2.8.16/gtk2_ardour/about.h~ ardour-2.8.16/gtk2_ardour/about.h
--- ardour-2.8.16/gtk2_ardour/about.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/about.h	2013-05-10 12:59:25.595044228 +0200
@@ -20,7 +20,7 @@
 #ifndef __ardour_gtk_about_h__
 #define __ardour_gtk_about_h__
 
-#include <gtkmm/aboutdialog.h>
+#include <gtkmm.h>
 
 class ARDOUR_UI;
 
diff -up ardour-2.8.16/gtk2_ardour/actions.h~ ardour-2.8.16/gtk2_ardour/actions.h
--- ardour-2.8.16/gtk2_ardour/actions.h~	2012-03-16 15:33:28.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/actions.h	2013-05-10 12:59:33.883044870 +0200
@@ -21,11 +21,7 @@
 #define __ardour_gtk_actions_h__
 
 #include <vector>
-#include <gtkmm/action.h>
-#include <gtkmm/radioaction.h>
-#include <gtkmm/toggleaction.h>
-#include <gtkmm/actiongroup.h>
-#include <gtkmm/accelkey.h>
+#include <gtkmm.h>
 
 #include <ardour/configuration.h>
 
diff -up ardour-2.8.16/gtk2_ardour/add_route_dialog.h~ ardour-2.8.16/gtk2_ardour/add_route_dialog.h
--- ardour-2.8.16/gtk2_ardour/add_route_dialog.h~	2009-07-04 19:38:23.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/add_route_dialog.h	2013-05-10 12:59:40.330045369 +0200
@@ -22,14 +22,7 @@
 
 #include <string>
 
-#include <gtkmm/entry.h>
-#include <gtkmm/dialog.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/radiobutton.h>
-#include <gtkmm/adjustment.h>
-#include <gtkmm/spinbutton.h>
-#include <gtkmm/button.h>
-#include <gtkmm/comboboxtext.h>
+#include <gtkmm.h>
 
 #include <ardour/types.h>
 #include <ardour/session.h>
diff -up ardour-2.8.16/gtk2_ardour/analysis_window.h~ ardour-2.8.16/gtk2_ardour/analysis_window.h
--- ardour-2.8.16/gtk2_ardour/analysis_window.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/analysis_window.h	2013-05-10 12:59:58.154046748 +0200
@@ -20,24 +20,9 @@
 #ifndef __ardour_analysis_window_h__
 #define __ardour_analysis_window_h__
 
-#include <glibmm.h>
-#include <glibmm/refptr.h>
-
-#include <gtkmm/radiobutton.h>
-#include <gtkmm/dialog.h>
-#include <gtkmm/layout.h>
-#include <gtkmm/treeview.h>
-#include <gtkmm/notebook.h>
-#include <gtkmm/label.h>
-#include <gtkmm/liststore.h>
-#include <gtkmm/separator.h>
-#include <gtkmm/window.h>
-
+#include <gtkmm.h>
 #include <gtkmm2ext/dndtreeview.h>
 
-#include <glibmm/thread.h>
-
-
 #include "ardour_dialog.h"
 #include "fft_graph.h"
 #include "fft_result.h"
diff -up ardour-2.8.16/gtk2_ardour/ardour_dialog.h~ ardour-2.8.16/gtk2_ardour/ardour_dialog.h
--- ardour-2.8.16/gtk2_ardour/ardour_dialog.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/ardour_dialog.h	2013-05-10 13:00:04.043047204 +0200
@@ -21,8 +21,7 @@
 #define __ardour_dialog_h__
 
 #include <ardour/ardour.h>
-#include <gtkmm/window.h>
-#include <gtkmm/dialog.h>
+#include <gtkmm.h>
 
 namespace ARDOUR {
 	class Session;
diff -up ardour-2.8.16/gtk2_ardour/ardour_ui.h~ ardour-2.8.16/gtk2_ardour/ardour_ui.h
--- ardour-2.8.16/gtk2_ardour/ardour_ui.h~	2013-05-10 12:44:45.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/ardour_ui.h	2013-05-10 13:00:36.859049744 +0200
@@ -35,24 +35,10 @@
 #include <list>
 #include <cmath>
 
-#include <libgnomecanvasmm/canvas.h>
+#include <gtkmm.h>
+#include <libgnomecanvasmm.h>
 
 #include <pbd/xml++.h>
-#include <gtkmm/box.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/label.h>
-#include <gtkmm/table.h>
-#include <gtkmm/fixed.h>
-#include <gtkmm/drawingarea.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/menu.h>
-#include <gtkmm/menuitem.h>
-#include <gtkmm/button.h>
-#include <gtkmm/togglebutton.h>
-#include <gtkmm/treeview.h>
-#include <gtkmm/menubar.h>
-#include <gtkmm/textbuffer.h>
-#include <gtkmm/adjustment.h>
 #include <gtkmm2ext/gtk_ui.h>
 #ifdef HOST_NOT_FOUND
 #undef HOST_NOT_FOUND
diff -up ardour-2.8.16/gtk2_ardour/au_pluginui.h~ ardour-2.8.16/gtk2_ardour/au_pluginui.h
--- ardour-2.8.16/gtk2_ardour/au_pluginui.h~	2012-07-02 15:21:59.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/au_pluginui.h	2013-05-10 13:00:47.642050578 +0200
@@ -20,10 +20,7 @@
 #undef require
 #undef verify
 
-#include <gtkmm/box.h>
-#include <gtkmm/combobox.h>
-#include <gtkmm/button.h>
-#include <gtkmm/label.h>
+#include <gtkmm.h>
 
 #include "plugin_ui.h"
 
diff -up ardour-2.8.16/gtk2_ardour/audio_clock.h~ ardour-2.8.16/gtk2_ardour/audio_clock.h
--- ardour-2.8.16/gtk2_ardour/audio_clock.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/audio_clock.h	2013-05-10 13:00:56.554051268 +0200
@@ -20,11 +20,7 @@
 #ifndef __audio_clock_h__
 #define __audio_clock_h__
 
-#include <gtkmm/box.h>
-#include <gtkmm/menu.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/label.h>
-#include <gtkmm/frame.h>
+#include <gtkmm.h>
 #include <ardour/ardour.h>
 
 namespace ARDOUR {
diff -up ardour-2.8.16/gtk2_ardour/audio_region_editor.h~ ardour-2.8.16/gtk2_ardour/audio_region_editor.h
--- ardour-2.8.16/gtk2_ardour/audio_region_editor.h~	2009-10-28 19:59:09.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/audio_region_editor.h	2013-05-10 13:01:47.417055205 +0200
@@ -22,19 +22,7 @@
 
 #include <map>
 
-#include <gtkmm/label.h>
-#include <gtkmm/entry.h>
-#include <gtkmm/box.h>
-#include <gtkmm/togglebutton.h>
-#include <gtkmm/button.h>
-#include <gtkmm/arrow.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/table.h>
-#include <gtkmm/alignment.h>
-#include <gtkmm/adjustment.h>
-#include <gtkmm/separator.h>
-#include <gtkmm/spinbutton.h>
-
+#include <gtkmm.h>
 #include <libgnomecanvas/libgnomecanvas.h>
 #include <sigc++/signal.h>
 
diff -up ardour-2.8.16/gtk2_ardour/audio_time_axis.h~ ardour-2.8.16/gtk2_ardour/audio_time_axis.h
--- ardour-2.8.16/gtk2_ardour/audio_time_axis.h~	2009-08-21 15:47:47.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/audio_time_axis.h	2013-05-10 13:02:02.969056408 +0200
@@ -20,14 +20,7 @@
 #ifndef __ardour_audio_time_axis_h__
 #define __ardour_audio_time_axis_h__
 
-#include <gtkmm/table.h>
-#include <gtkmm/button.h>
-#include <gtkmm/box.h>
-#include <gtkmm/menu.h>
-#include <gtkmm/menuitem.h>
-#include <gtkmm/radiomenuitem.h>
-#include <gtkmm/checkmenuitem.h>
-
+#include <gtkmm.h>
 #include <gtkmm2ext/selector.h>
 #include <list>
 
diff -up ardour-2.8.16/gtk2_ardour/automation_line.h~ ardour-2.8.16/gtk2_ardour/automation_line.h
--- ardour-2.8.16/gtk2_ardour/automation_line.h~	2010-04-21 17:09:47.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/automation_line.h	2013-05-10 13:02:11.769057090 +0200
@@ -25,7 +25,7 @@
 #include <string>
 #include <sys/types.h>
 
-#include <libgnomecanvasmm/line.h>
+#include <libgnomecanvasmm.h>
 #include <sigc++/signal.h>
 #include "canvas.h"
 #include "simplerect.h"
diff -up ardour-2.8.16/gtk2_ardour/axis_view.h~ ardour-2.8.16/gtk2_ardour/axis_view.h
--- ardour-2.8.16/gtk2_ardour/axis_view.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/axis_view.h	2013-05-10 13:02:19.225057667 +0200
@@ -22,8 +22,7 @@
 
 #include <list>
 
-#include <gtkmm/label.h>
-#include <gdkmm/color.h>
+#include <gtkmm.h>
 
 #include <pbd/xml++.h>
 #include "prompter.h"
diff -up ardour-2.8.16/gtk2_ardour/canvas-noevent-text.h~ ardour-2.8.16/gtk2_ardour/canvas-noevent-text.h
--- ardour-2.8.16/gtk2_ardour/canvas-noevent-text.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/canvas-noevent-text.h	2013-05-10 13:02:26.601058237 +0200
@@ -21,8 +21,7 @@
 #ifndef __gtk2_ardour_canvas_noevent_text_h__
 #define __gtk2_ardour_canvas_noevent_text_h__
 
-#include <libgnomecanvasmm/text.h>
-#include <libgnomecanvasmm/text.h>
+#include <libgnomecanvasmm.h>
 
 namespace Gnome { namespace Canvas {
 
diff -up ardour-2.8.16/gtk2_ardour/canvas_impl.h~ ardour-2.8.16/gtk2_ardour/canvas_impl.h
--- ardour-2.8.16/gtk2_ardour/canvas_impl.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/canvas_impl.h	2013-05-10 13:02:33.099058740 +0200
@@ -22,11 +22,8 @@
 
 #include "canvas.h"
 
-#include <libgnomecanvasmm/canvas.h>
+#include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/polygon.h>
-#include <libgnomecanvasmm/text.h>
-#include <libgnomecanvasmm/rect.h>
-#include <libgnomecanvasmm/line.h>
 #include <libgnomecanvasmm/item.h>
 
 using namespace ArdourCanvas;
diff -up ardour-2.8.16/gtk2_ardour/connection_editor.h~ ardour-2.8.16/gtk2_ardour/connection_editor.h
--- ardour-2.8.16/gtk2_ardour/connection_editor.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/connection_editor.h	2013-05-10 13:02:47.865059883 +0200
@@ -27,19 +27,10 @@ using __gnu_cxx::slist;
 #include <slist.h>
 #endif
 
-#include <gtkmm/box.h>
-#include <gtkmm/window.h>
-#include <gtkmm/scrolledwindow.h>
-#include <gtkmm/button.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/notebook.h>
-#include <gtkmm/treeview.h>
-#include <gtkmm/liststore.h>
+#include <gtkmm.h>
 
 #include "ardour_dialog.h"
 
-#include <glibmm/thread.h>
-
 namespace ARDOUR {
 	class Session;
 	class Connection;
diff -up ardour-2.8.16/gtk2_ardour/crossfade_edit.h~ ardour-2.8.16/gtk2_ardour/crossfade_edit.h
--- ardour-2.8.16/gtk2_ardour/crossfade_edit.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/crossfade_edit.h	2013-05-10 13:02:53.865060348 +0200
@@ -22,9 +22,7 @@
 
 #include <list>
 
-#include <gtkmm/box.h>
-#include <gtkmm/button.h>
-#include <gtkmm/radiobutton.h>
+#include <gtkmm.h>
 
 #include <ardour/curve.h>
 #include "ardour_dialog.h"
diff -up ardour-2.8.16/gtk2_ardour/editor.h~ ardour-2.8.16/gtk2_ardour/editor.h
--- ardour-2.8.16/gtk2_ardour/editor.h~	2012-03-16 15:33:28.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/editor.h	2013-05-10 13:03:13.241061847 +0200
@@ -28,16 +28,11 @@
 
 #include <boost/optional.hpp>
 
-#include <libgnomecanvasmm/canvas.h>
-#include <libgnomecanvasmm/group.h>
-#include <libgnomecanvasmm/line.h>
-#include <libgnomecanvasmm/pixbuf.h>
+#include <gtkmm.h>
+#include <libgnomecanvasmm.h>
 
 #include <cmath>
 
-#include <gtkmm/layout.h>
-#include <gtkmm/comboboxtext.h>
-
 #include <gtkmm2ext/selector.h>
 #include <gtkmm2ext/click_box.h>
 #include <gtkmm2ext/dndtreeview.h>
diff -up ardour-2.8.16/gtk2_ardour/engine_dialog.h~ ardour-2.8.16/gtk2_ardour/engine_dialog.h
--- ardour-2.8.16/gtk2_ardour/engine_dialog.h~	2009-09-17 04:19:04.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/engine_dialog.h	2013-05-10 13:03:22.281062547 +0200
@@ -5,15 +5,7 @@
 #include <vector>
 #include <string>
 
-#include <gtkmm/checkbutton.h>
-#include <gtkmm/spinbutton.h>
-#include <gtkmm/notebook.h>
-#include <gtkmm/comboboxtext.h>
-#include <gtkmm/table.h>
-#include <gtkmm/expander.h>
-#include <gtkmm/box.h>
-#include <gtkmm/buttonbox.h>
-#include <gtkmm/button.h>
+#include <gtkmm.h>
 
 class EngineControl : public Gtk::VBox {
   public:
diff -up ardour-2.8.16/gtk2_ardour/fft_graph.h~ ardour-2.8.16/gtk2_ardour/fft_graph.h
--- ardour-2.8.16/gtk2_ardour/fft_graph.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/fft_graph.h	2013-05-10 13:03:30.601063191 +0200
@@ -23,11 +23,7 @@
 #include <ardour/types.h>
 #include <fftw3.h>
 
-#include <gtkmm/drawingarea.h>
-#include <gtkmm/treemodel.h>
-#include <gdkmm/color.h>
-
-#include <glibmm/refptr.h>
+#include <gtkmm.h>
 
 #include <string>
 
diff -up ardour-2.8.16/gtk2_ardour/fft_result.h~ ardour-2.8.16/gtk2_ardour/fft_result.h
--- ardour-2.8.16/gtk2_ardour/fft_result.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/fft_result.h	2013-05-10 13:03:36.985063685 +0200
@@ -24,7 +24,7 @@
 #include <ardour/types.h>
 #include <fftw3.h>
 
-#include <gdkmm/color.h>
+#include <gtkmm.h>
 
 #include <string>
 
diff -up ardour-2.8.16/gtk2_ardour/gain_meter.h~ ardour-2.8.16/gtk2_ardour/gain_meter.h
--- ardour-2.8.16/gtk2_ardour/gain_meter.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/gain_meter.h	2013-05-10 13:03:43.656064201 +0200
@@ -23,13 +23,7 @@
 #include <vector>
 #include <map>
 
-#include <gtkmm/box.h>
-#include <gtkmm/adjustment.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/button.h>
-#include <gtkmm/table.h>
-#include <gtkmm/drawingarea.h>
+#include <gtkmm.h>
 
 #include <ardour/types.h>
 
diff -up ardour-2.8.16/gtk2_ardour/imageframe.h~ ardour-2.8.16/gtk2_ardour/imageframe.h
--- ardour-2.8.16/gtk2_ardour/imageframe.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/imageframe.h	2013-05-10 13:03:49.352064642 +0200
@@ -27,8 +27,8 @@
  * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/item.h>
-#include <libgnomecanvasmm/group.h>
 #include <libgnomecanvasmm/shape.h>
 #include "canvas-imageframe.h"
 
diff -up ardour-2.8.16/gtk2_ardour/imageframe_p.h~ ardour-2.8.16/gtk2_ardour/imageframe_p.h
--- ardour-2.8.16/gtk2_ardour/imageframe_p.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/imageframe_p.h	2013-05-10 13:03:53.977065000 +0200
@@ -21,7 +21,7 @@
 #ifndef _LIBGNOMECANVASMM_IMAGEFRAME_P_H
 #define _LIBGNOMECANVASMM_IMAGEFRAME_P_H
 
-#include <glibmm/class.h>
+#include <glibmm.h>
 
 namespace Gnome
 {
diff -up ardour-2.8.16/gtk2_ardour/imageframe_time_axis_group.h~ ardour-2.8.16/gtk2_ardour/imageframe_time_axis_group.h
--- ardour-2.8.16/gtk2_ardour/imageframe_time_axis_group.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/imageframe_time_axis_group.h	2013-05-10 13:04:07.241066027 +0200
@@ -23,7 +23,7 @@
 #include <list>
 #include <cmath>
 
-#include <gdkmm/color.h>
+#include <gtkmm.h>
 
 #include <libgnomecanvas/libgnomecanvas.h>
 #include <jack/jack.h>
diff -up ardour-2.8.16/gtk2_ardour/imageframe_time_axis_view.h~ ardour-2.8.16/gtk2_ardour/imageframe_time_axis_view.h
--- ardour-2.8.16/gtk2_ardour/imageframe_time_axis_view.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/imageframe_time_axis_view.h	2013-05-10 13:04:12.217066412 +0200
@@ -23,7 +23,7 @@
 #include <list>
 #include <cmath>
 
-#include <gdkmm/color.h>
+#include <gtkmm.h>
 
 #include <jack/jack.h>
 
diff -up ardour-2.8.16/gtk2_ardour/imageframe_view.h~ ardour-2.8.16/gtk2_ardour/imageframe_view.h
--- ardour-2.8.16/gtk2_ardour/imageframe_view.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/imageframe_view.h	2013-05-10 13:04:44.872068939 +0200
@@ -21,7 +21,7 @@
 #define __gtk_ardour_imageframe_view_h__
 
 #include <string>
-#include <gdkmm/color.h>
+#include <gtkmm.h>
 #include <libgnomecanvas/libgnomecanvas.h>
 #include <sigc++/signal.h>
 #include <list>
diff -up ardour-2.8.16/gtk2_ardour/io_selector.h~ ardour-2.8.16/gtk2_ardour/io_selector.h
--- ardour-2.8.16/gtk2_ardour/io_selector.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/io_selector.h	2013-05-10 13:04:54.472069682 +0200
@@ -29,16 +29,7 @@ using __gnu_cxx::slist;
 
 #include <string>
 
-#include <glibmm/thread.h>
-
-#include <gtkmm/box.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/button.h>
-#include <gtkmm/togglebutton.h>
-#include <gtkmm/scrolledwindow.h>
-#include <gtkmm/notebook.h>
-#include <gtkmm/treeview.h>
-#include <gtkmm/liststore.h>
+#include <gtkmm.h>
 
 #include <ardour_dialog.h>
 
diff -up ardour-2.8.16/gtk2_ardour/keyboard.h~ ardour-2.8.16/gtk2_ardour/keyboard.h
--- ardour-2.8.16/gtk2_ardour/keyboard.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/keyboard.h	2013-05-10 13:05:41.912073354 +0200
@@ -26,8 +26,7 @@
 
 #include <sigc++/signal.h>
 #include <gtk/gtk.h>
-#include <gtkmm/window.h>
-#include <gtkmm/accelkey.h>
+#include <gtkmm.h>
 
 #include <ardour/types.h>
 #include <pbd/stateful.h>
diff -up ardour-2.8.16/gtk2_ardour/keyeditor.h~ ardour-2.8.16/gtk2_ardour/keyeditor.h
--- ardour-2.8.16/gtk2_ardour/keyeditor.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/keyeditor.h	2013-05-10 13:06:25.832076753 +0200
@@ -3,10 +3,7 @@
 
 #include <string>
 
-#include <gtkmm/buttonbox.h>
-#include <gtkmm/treeview.h>
-#include <gtkmm/treestore.h>
-#include <gtkmm/scrolledwindow.h>
+#include <gtkmm.h>
 
 #include "ardour_dialog.h"
 
diff -up ardour-2.8.16/gtk2_ardour/level_meter.h~ ardour-2.8.16/gtk2_ardour/level_meter.h
--- ardour-2.8.16/gtk2_ardour/level_meter.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/level_meter.h	2013-05-10 13:06:33.047077312 +0200
@@ -23,13 +23,7 @@
 #include <vector>
 #include <map>
 
-#include <gtkmm/box.h>
-#include <gtkmm/adjustment.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/button.h>
-#include <gtkmm/table.h>
-#include <gtkmm/drawingarea.h>
+#include <gtkmm.h>
 
 #include <ardour/types.h>
 
diff -up ardour-2.8.16/gtk2_ardour/location_ui.h~ ardour-2.8.16/gtk2_ardour/location_ui.h
--- ardour-2.8.16/gtk2_ardour/location_ui.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/location_ui.h	2013-05-10 13:06:39.544077815 +0200
@@ -20,12 +20,7 @@
 #ifndef __ardour_location_ui_h__
 #define __ardour_location_ui_h__
 
-#include <gtkmm/box.h>
-#include <gtkmm/checkbutton.h>
-#include <gtkmm/button.h>
-#include <gtkmm/table.h>
-#include <gtkmm/entry.h>
-#include <gtkmm/label.h>
+#include <gtkmm.h>
 
 #include <ardour/location.h>
 #include <ardour/session.h>
diff -up ardour-2.8.16/gtk2_ardour/lv2_plugin_ui.h~ ardour-2.8.16/gtk2_ardour/lv2_plugin_ui.h
--- ardour-2.8.16/gtk2_ardour/lv2_plugin_ui.h~	2012-02-27 16:03:44.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/lv2_plugin_ui.h	2013-05-10 13:06:45.000078237 +0200
@@ -26,7 +26,7 @@
 #include <list>
 
 #include <sigc++/signal.h>
-#include <gtkmm/widget.h>
+#include <gtkmm.h>
 
 #include <ardour_dialog.h>
 #include <ardour/types.h>
diff -up ardour-2.8.16/gtk2_ardour/marker.h~ ardour-2.8.16/gtk2_ardour/marker.h
--- ardour-2.8.16/gtk2_ardour/marker.h~	2010-06-02 17:55:17.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/marker.h	2013-05-10 13:06:50.200078639 +0200
@@ -25,7 +25,7 @@
 #include <ardour/ardour.h>
 #include <pbd/destructible.h>
 
-#include <libgnomecanvasmm/pixbuf.h>
+#include <libgnomecanvasmm.h>
 
 #include "canvas.h"
 
diff -up ardour-2.8.16/gtk2_ardour/marker_time_axis_view.h~ ardour-2.8.16/gtk2_ardour/marker_time_axis_view.h
--- ardour-2.8.16/gtk2_ardour/marker_time_axis_view.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/marker_time_axis_view.h	2013-05-10 13:06:59.879079389 +0200
@@ -21,8 +21,8 @@
 #define __ardour_marker_time_axis_view_h__
 
 #include <list>
-#include <gdkmm/color.h>
-#include <libgnomecanvasmm/group.h>
+#include <gtkmm.h>
+#include <libgnomecanvasmm.h>
 
 #include <ardour/location.h>
 #include "simplerect.h"
diff -up ardour-2.8.16/gtk2_ardour/midi_port_dialog.h~ ardour-2.8.16/gtk2_ardour/midi_port_dialog.h
--- ardour-2.8.16/gtk2_ardour/midi_port_dialog.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/midi_port_dialog.h	2013-05-10 13:07:06.503079901 +0200
@@ -1,7 +1,4 @@
-#include <gtkmm/box.h>
-#include <gtkmm/label.h>
-#include <gtkmm/entry.h>
-#include <gtkmm/comboboxtext.h>
+#include <gtkmm.h>
 
 #include "ardour_dialog.h"
 
diff -up ardour-2.8.16/gtk2_ardour/mixer_strip.h~ ardour-2.8.16/gtk2_ardour/mixer_strip.h
--- ardour-2.8.16/gtk2_ardour/mixer_strip.h~	2009-10-01 19:15:47.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/mixer_strip.h	2013-05-10 13:07:16.120080646 +0200
@@ -23,17 +23,7 @@
 
 #include <cmath>
 
-#include <gtkmm/eventbox.h>
-#include <gtkmm/button.h>
-#include <gtkmm/box.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/button.h>
-#include <gtkmm/label.h>
-#include <gtkmm/togglebutton.h>
-#include <gtkmm/menu.h>
-#include <gtkmm/textview.h>
-#include <gtkmm/adjustment.h>
-
+#include <gtkmm.h>
 #include <gtkmm2ext/auto_spin.h>
 #include <gtkmm2ext/click_box.h>
 #include <gtkmm2ext/slider_controller.h>
diff -up ardour-2.8.16/gtk2_ardour/mixer_ui.h~ ardour-2.8.16/gtk2_ardour/mixer_ui.h
--- ardour-2.8.16/gtk2_ardour/mixer_ui.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/mixer_ui.h	2013-05-10 13:07:22.855081167 +0200
@@ -22,15 +22,7 @@
 
 #include <list>
 
-#include <gtkmm/box.h>
-#include <gtkmm/scrolledwindow.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/label.h>
-#include <gtkmm/button.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/paned.h>
-#include <gtkmm/menu.h>
-#include <gtkmm/treeview.h>
+#include <gtkmm.h>
 
 #include <pbd/stateful.h>
 
diff -up ardour-2.8.16/gtk2_ardour/nag.h~ ardour-2.8.16/gtk2_ardour/nag.h
--- ardour-2.8.16/gtk2_ardour/nag.h~	2009-06-04 16:36:00.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/nag.h	2013-05-10 13:07:30.423081753 +0200
@@ -3,9 +3,7 @@
 
 #include "ardour_dialog.h"
 
-#include <gtkmm/label.h>
-#include <gtkmm/radiobutton.h>
-#include <gtkmm/buttonbox.h>
+#include <gtkmm.h>
 
 class NagScreen : public ArdourDialog
 {
diff -up ardour-2.8.16/gtk2_ardour/new_session_dialog.h~ ardour-2.8.16/gtk2_ardour/new_session_dialog.h
--- ardour-2.8.16/gtk2_ardour/new_session_dialog.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/new_session_dialog.h	2013-05-10 13:07:56.743083790 +0200
@@ -23,20 +23,10 @@
 #define NEW_SESSION_DIALOG_H
 
 #include <string>
-#include <gtkmm/treeview.h>
-#include <gtkmm/treestore.h>
-#include <gtkmm/treepath.h>
-#include <gtkmm/scrolledwindow.h>
-#include <gtkmm/notebook.h>
-#include <gtkmm/table.h>
-#include <gtkmm/alignment.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/expander.h>
+#include <gtkmm.h>
 
 #include <ardour/utils.h>
 
-#include <glibmm/refptr.h>
-
 #include "ardour_dialog.h"
 #include "engine_dialog.h"
 
diff -up ardour-2.8.16/gtk2_ardour/option_editor.h~ ardour-2.8.16/gtk2_ardour/option_editor.h
--- ardour-2.8.16/gtk2_ardour/option_editor.h~	2009-03-13 13:35:02.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/option_editor.h	2013-05-10 13:08:04.135084362 +0200
@@ -22,17 +22,7 @@
 
 #include <vector>
 
-#include <gtkmm/notebook.h>
-#include <gtkmm/checkbutton.h>
-#include <gtkmm/table.h>
-#include <gtkmm/entry.h>
-#include <gtkmm/box.h>
-#include <gtkmm/label.h>
-#include <gtkmm/adjustment.h>
-#include <gtkmm/scale.h>
-#include <gtkmm/spinbutton.h>
-#include <gtkmm/radiobutton.h>
-#include <gtkmm/comboboxtext.h>
+#include <gtkmm.h>
 
 #include <ardour/session.h>
 
diff -up ardour-2.8.16/gtk2_ardour/pan_automation_time_axis.h~ ardour-2.8.16/gtk2_ardour/pan_automation_time_axis.h
--- ardour-2.8.16/gtk2_ardour/pan_automation_time_axis.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/pan_automation_time_axis.h	2013-05-10 13:08:07.751084642 +0200
@@ -23,7 +23,7 @@
 #include "canvas.h"
 #include "automation_time_axis.h"
 
-#include <gtkmm/comboboxtext.h>
+#include <gtkmm.h>
 
 namespace ARDOUR {
 	class Redirect;
diff -up ardour-2.8.16/gtk2_ardour/panner2d.h~ ardour-2.8.16/gtk2_ardour/panner2d.h
--- ardour-2.8.16/gtk2_ardour/panner2d.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/panner2d.h	2013-05-10 13:08:14.919085196 +0200
@@ -24,8 +24,7 @@
 #include <map>
 #include <string>
 
-#include <glibmm/refptr.h>
-#include <gtkmm/drawingarea.h>
+#include <gtkmm.h>
 
 using std::map;
 using std::string;
diff -up ardour-2.8.16/gtk2_ardour/panner_ui.h~ ardour-2.8.16/gtk2_ardour/panner_ui.h
--- ardour-2.8.16/gtk2_ardour/panner_ui.h~	2009-04-29 15:53:50.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/panner_ui.h	2013-05-10 13:08:21.623085715 +0200
@@ -22,13 +22,7 @@
 
 #include <vector>
 
-#include <gtkmm/box.h>
-#include <gtkmm/adjustment.h>
-#include <gtkmm/viewport.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/arrow.h>
-#include <gtkmm/togglebutton.h>
-#include <gtkmm/button.h>
+#include <gtkmm.h>
 
 #include <gtkmm2ext/click_box.h>
 #include <gtkmm2ext/slider_controller.h>
diff -up ardour-2.8.16/gtk2_ardour/playlist_selector.h~ ardour-2.8.16/gtk2_ardour/playlist_selector.h
--- ardour-2.8.16/gtk2_ardour/playlist_selector.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/playlist_selector.h	2013-05-10 13:08:27.767086191 +0200
@@ -22,10 +22,7 @@
 
 #include <boost/shared_ptr.hpp>
 
-#include <gtkmm/box.h>
-#include <gtkmm/scrolledwindow.h>
-#include <gtkmm/button.h>
-#include <gtkmm/treeview.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/selector.h>
 
 #include <ardour_dialog.h>
diff -up ardour-2.8.16/gtk2_ardour/plugin_selector.h~ ardour-2.8.16/gtk2_ardour/plugin_selector.h
--- ardour-2.8.16/gtk2_ardour/plugin_selector.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/plugin_selector.h	2013-05-10 13:08:36.743086886 +0200
@@ -20,9 +20,7 @@
 #ifndef __ardour_plugin_selector_h__
 #define __ardour_plugin_selector_h__
 
-#include <gtkmm/dialog.h>
-#include <gtkmm/notebook.h>
-#include <gtkmm/treeview.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/selector.h>
 
 #include <ardour/plugin.h>
diff -up ardour-2.8.16/gtk2_ardour/plugin_ui.h~ ardour-2.8.16/gtk2_ardour/plugin_ui.h
--- ardour-2.8.16/gtk2_ardour/plugin_ui.h~	2012-06-18 21:49:14.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/plugin_ui.h	2013-05-10 13:08:49.831087899 +0200
@@ -26,22 +26,7 @@
 
 #include <sigc++/signal.h>
 
-#include <gtkmm/button.h>
-#include <gtkmm/box.h>
-#include <gtkmm/table.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/viewport.h>
-#include <gtkmm/scrolledwindow.h>
-#include <gtkmm/label.h>
-#include <gtkmm/menu.h>
-#include <gtkmm/image.h>
-#include <gtkmm/adjustment.h>
-#include <gtkmm/togglebutton.h>
-#include <gtkmm/socket.h>
-#include <gtkmm/combobox.h>
-#include <gtkmm/liststore.h>
-#include <gtkmm/comboboxtext.h>
-#include <gtkmm/socket.h>
+#include <gtkmm.h>
 
 #include <ardour_dialog.h>
 #include <ardour/types.h>
diff -up ardour-2.8.16/gtk2_ardour/public_editor.h~ ardour-2.8.16/gtk2_ardour/public_editor.h
--- ardour-2.8.16/gtk2_ardour/public_editor.h~	2012-03-16 15:33:28.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/public_editor.h	2013-05-10 13:09:04.791089056 +0200
@@ -25,9 +25,7 @@
 #include <string>
 #include <glib.h>
 #include <gdk/gdktypes.h>
-#include <gtkmm/window.h>
-#include <gtkmm/box.h>
-#include <gtkmm/actiongroup.h>
+#include <gtkmm.h>
 #include <jack/types.h>
 #include <sigc++/signal.h>
 
diff -up ardour-2.8.16/gtk2_ardour/redirect_box.h~ ardour-2.8.16/gtk2_ardour/redirect_box.h
--- ardour-2.8.16/gtk2_ardour/redirect_box.h~	2009-03-07 14:28:24.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/redirect_box.h	2013-05-10 13:09:16.439089958 +0200
@@ -23,10 +23,7 @@
 #include <vector>
 
 #include <cmath>
-#include <gtkmm/box.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/menu.h>
-#include <gtkmm/scrolledwindow.h>
+#include <gtkmm.h>
 #include <gtkmm2ext/dndtreeview.h>
 #include <gtkmm2ext/auto_spin.h>
 #include <gtkmm2ext/click_box.h>
diff -up ardour-2.8.16/gtk2_ardour/region_layering_order_editor.h~ ardour-2.8.16/gtk2_ardour/region_layering_order_editor.h
--- ardour-2.8.16/gtk2_ardour/region_layering_order_editor.h~	2009-11-13 15:30:20.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/region_layering_order_editor.h	2013-05-10 13:09:23.383090495 +0200
@@ -1,10 +1,7 @@
 #ifndef __gtk2_ardour_region_layering_order_editor_h__
 #define __gtk2_ardour_region_layering_order_editor_h__
 
-#include <gtkmm/dialog.h>
-#include <gtkmm/liststore.h>
-#include <gtkmm/treeview.h>
-#include <gtkmm/scrolledwindow.h>
+#include <gtkmm.h>
 
 #include <ardour/region.h>
 #include <ardour/playlist.h>
diff -up ardour-2.8.16/gtk2_ardour/rhythm_ferret.h~ ardour-2.8.16/gtk2_ardour/rhythm_ferret.h
--- ardour-2.8.16/gtk2_ardour/rhythm_ferret.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/rhythm_ferret.h	2013-05-10 13:09:34.678091370 +0200
@@ -1,16 +1,7 @@
 #ifndef __gtk2_ardour_rhythm_ferret_h__
 #define __gtk2_ardour_rhythm_ferret_h__
 
-#include <gtkmm/box.h>
-#include <gtkmm/scale.h>
-#include <gtkmm/spinbutton.h>
-#include <gtkmm/radiobutton.h>
-#include <gtkmm/radiobuttongroup.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/image.h>
-#include <gtkmm/comboboxtext.h>
-#include <gtkmm/button.h>
-#include <gtkmm/label.h>
+#include <gtkmm.h>
 
 #include "ardour_dialog.h"
 
diff -up ardour-2.8.16/gtk2_ardour/route_params_ui.h~ ardour-2.8.16/gtk2_ardour/route_params_ui.h
--- ardour-2.8.16/gtk2_ardour/route_params_ui.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/route_params_ui.h	2013-05-10 13:09:41.350091886 +0200
@@ -22,15 +22,7 @@
 
 #include <list>
 
-#include <gtkmm/box.h>
-#include <gtkmm/button.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/label.h>
-#include <gtkmm/paned.h>
-#include <gtkmm/scrolledwindow.h>
-#include <gtkmm/togglebutton.h>
-#include <gtkmm/treeview.h>
+#include <gtkmm.h>
 
 #include <pbd/stateful.h>
 
diff -up ardour-2.8.16/gtk2_ardour/route_time_axis.h~ ardour-2.8.16/gtk2_ardour/route_time_axis.h
--- ardour-2.8.16/gtk2_ardour/route_time_axis.h~	2009-06-26 19:00:42.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/route_time_axis.h	2013-05-10 13:09:50.150092567 +0200
@@ -20,15 +20,7 @@
 #ifndef __ardour_route_time_axis_h__
 #define __ardour_route_time_axis_h__
 
-#include <gtkmm/table.h>
-#include <gtkmm/button.h>
-#include <gtkmm/box.h>
-#include <gtkmm/menu.h>
-#include <gtkmm/menuitem.h>
-#include <gtkmm/radiomenuitem.h>
-#include <gtkmm/checkmenuitem.h>
-#include <gtkmm/adjustment.h>
-
+#include <gtkmm.h>
 #include <gtkmm2ext/selector.h>
 #include <gtkmm2ext/slider_controller.h>
 #include <list>
diff -up ardour-2.8.16/gtk2_ardour/sfdb_freesound_mootcher.h~ ardour-2.8.16/gtk2_ardour/sfdb_freesound_mootcher.h
--- ardour-2.8.16/gtk2_ardour/sfdb_freesound_mootcher.h~	2012-07-02 15:21:59.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/sfdb_freesound_mootcher.h	2013-05-10 13:09:55.862093009 +0200
@@ -20,7 +20,7 @@
 #include <string>
 #include <sstream>
 #include <vector>
-#include <gtkmm/progressbar.h>
+#include <gtkmm.h>
 //#include <ctime>
 
 #include "sfdb_ui.h"
diff -up ardour-2.8.16/gtk2_ardour/sfdb_ui.h~ ardour-2.8.16/gtk2_ardour/sfdb_ui.h
--- ardour-2.8.16/gtk2_ardour/sfdb_ui.h~	2012-07-02 15:21:59.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/sfdb_ui.h	2013-05-10 13:10:02.406093516 +0200
@@ -26,20 +26,7 @@
 
 #include <sigc++/signal.h>
 
-#include <gtkmm/box.h>
-#include <gtkmm/button.h>
-#include <gtkmm/checkbutton.h>
-#include <gtkmm/comboboxtext.h>
-#include <gtkmm/dialog.h>
-#include <gtkmm/entry.h>
-#include <gtkmm/filechooserwidget.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/label.h>
-#include <gtkmm/table.h>
-#include <gtkmm/liststore.h>
-#include <gtkmm/textview.h>
-#include <gtkmm/spinbutton.h>
-#include <gtkmm/notebook.h>
+#include <gtkmm.h>
 
 #include <ardour/session.h>
 #include <ardour/audiofilesource.h>
diff -up ardour-2.8.16/gtk2_ardour/simpleline.h~ ardour-2.8.16/gtk2_ardour/simpleline.h
--- ardour-2.8.16/gtk2_ardour/simpleline.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/simpleline.h	2013-05-10 13:10:12.934094331 +0200
@@ -27,6 +27,7 @@
  * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/item.h>
 #include <libgnomecanvas/gnome-canvas-util.h>
 #include <libgnomecanvas/libgnomecanvas.h>
diff -up ardour-2.8.16/gtk2_ardour/simpleline_p.h~ ardour-2.8.16/gtk2_ardour/simpleline_p.h
--- ardour-2.8.16/gtk2_ardour/simpleline_p.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/simpleline_p.h	2013-05-10 13:10:21.750095013 +0200
@@ -22,7 +22,7 @@
 #define _LIBGNOMECANVASMM_SIMPLELINE_P_H
 #include <libgnomecanvasmm/private/item_p.h>
 
-#include <glibmm/class.h>
+#include <glibmm.h>
 
 namespace Gnome
 {
diff -up ardour-2.8.16/gtk2_ardour/simplerect.h~ ardour-2.8.16/gtk2_ardour/simplerect.h
--- ardour-2.8.16/gtk2_ardour/simplerect.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/simplerect.h	2013-05-10 13:10:29.190095589 +0200
@@ -27,9 +27,8 @@
  * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/item.h>
-#include <libgnomecanvasmm/group.h>
-#include <libgnomecanvasmm/shape.h>
 #include "canvas-simplerect.h"
 
 
diff -up ardour-2.8.16/gtk2_ardour/simplerect_p.h~ ardour-2.8.16/gtk2_ardour/simplerect_p.h
--- ardour-2.8.16/gtk2_ardour/simplerect_p.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/simplerect_p.h	2013-05-10 13:10:33.654095934 +0200
@@ -21,7 +21,7 @@
 #ifndef _LIBGNOMECANVASMM_SIMPLERECT_P_H
 #define _LIBGNOMECANVASMM_SIMPLERECT_P_H
 
-#include <glibmm/class.h>
+#include <glibmm.h>
 
 namespace Gnome
 {
diff -up ardour-2.8.16/gtk2_ardour/splash.h~ ardour-2.8.16/gtk2_ardour/splash.h
--- ardour-2.8.16/gtk2_ardour/splash.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/splash.h	2013-05-10 13:10:41.782096563 +0200
@@ -20,11 +20,7 @@
 #ifndef __ardour_gtk_splash_h__
 #define __ardour_gtk_splash_h__
 
-#include <gtkmm/window.h>
-#include <gtkmm/drawingarea.h>
-#include <gtkmm/box.h>
-#include <gtkmm/label.h>
-#include <gdkmm/pixbuf.h>
+#include <gtkmm.h>
 
 class ARDOUR_UI;
 
diff -up ardour-2.8.16/gtk2_ardour/tempo_dialog.h~ ardour-2.8.16/gtk2_ardour/tempo_dialog.h
--- ardour-2.8.16/gtk2_ardour/tempo_dialog.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/tempo_dialog.h	2013-05-10 13:10:50.070097205 +0200
@@ -20,15 +20,7 @@
 #ifndef __ardour_gtk_tempo_dialog_h__
 #define __ardour_gtk_tempo_dialog_h__
 
-#include <gtkmm/entry.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/box.h>
-#include <gtkmm/button.h>
-#include <gtkmm/label.h>
-#include <gtkmm/table.h>
-#include <gtkmm/entry.h>
-#include <gtkmm/spinbutton.h>
-#include <gtkmm/comboboxtext.h>
+#include <gtkmm.h>
 
 #include <ardour/types.h>
 #include <ardour/tempo.h>
diff -up ardour-2.8.16/gtk2_ardour/theme_manager.h~ ardour-2.8.16/gtk2_ardour/theme_manager.h
--- ardour-2.8.16/gtk2_ardour/theme_manager.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/theme_manager.h	2013-05-10 13:10:59.014097897 +0200
@@ -20,13 +20,7 @@
 #ifndef __ardour_gtk_color_manager_h__
 #define __ardour_gtk_color_manager_h__
 
-#include <gtkmm/treeview.h>
-#include <gtkmm/liststore.h>
-#include <gtkmm/scrolledwindow.h>
-#include <gtkmm/colorselection.h>
-#include <gtkmm/radiobutton.h>
-#include <gtkmm/button.h>
-#include <gtkmm/rc.h>
+#include <gtkmm.h>
 #include "ardour_dialog.h"
 #include "ui_config.h"
 
diff -up ardour-2.8.16/gtk2_ardour/time_axis_view.h~ ardour-2.8.16/gtk2_ardour/time_axis_view.h
--- ardour-2.8.16/gtk2_ardour/time_axis_view.h~	2010-05-21 17:15:17.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/time_axis_view.h	2013-05-10 13:11:13.398099010 +0200
@@ -23,14 +23,7 @@
 #include <vector>
 #include <list>
 
-#include <gtkmm/box.h>
-#include <gtkmm/frame.h>
-#include <gtkmm/drawingarea.h>
-#include <gtkmm/eventbox.h>
-#include <gtkmm/table.h>
-#include <gtkmm/entry.h>
-#include <gtkmm/label.h>
-
+#include <gtkmm.h>
 #include <gtkmm2ext/focus_entry.h>
 
 #include <pbd/stateful.h>
diff -up ardour-2.8.16/gtk2_ardour/time_axis_view_item.h~ ardour-2.8.16/gtk2_ardour/time_axis_view_item.h
--- ardour-2.8.16/gtk2_ardour/time_axis_view_item.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/time_axis_view_item.h	2013-05-10 13:11:17.798099351 +0200
@@ -23,7 +23,7 @@
 #include <jack/jack.h>
 #include <string>
 
-#include <libgnomecanvasmm/pixbuf.h>
+#include <libgnomecanvasmm.h>
 
 #include "selectable.h"
 #include "simplerect.h"
diff -up ardour-2.8.16/gtk2_ardour/utils.h~ ardour-2.8.16/gtk2_ardour/utils.h
--- ardour-2.8.16/gtk2_ardour/utils.h~	2011-09-12 21:22:34.000000000 +0200
+++ ardour-2.8.16/gtk2_ardour/utils.h	2013-05-10 13:11:28.934100213 +0200
@@ -24,8 +24,8 @@
 #include <cmath>
 #include <vector>
 #include <ardour/types.h>
-#include <libgnomecanvasmm/line.h>
-#include <gdkmm/types.h>
+#include <gtkmm.h>
+#include <libgnomecanvasmm.h>
 
 #include "canvas.h"
 #include "public_editor.h"
diff -up ardour-2.8.16/gtk2_ardour/visual_time_axis.h~ ardour-2.8.16/gtk2_ardour/visual_time_axis.h
--- ardour-2.8.16/gtk2_ardour/visual_time_axis.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/visual_time_axis.h	2013-05-10 13:11:35.062100687 +0200
@@ -20,9 +20,7 @@
 #ifndef __ardour_visual_time_axis_h__
 #define __ardour_visual_time_axis_h__
 
-#include <gtkmm/box.h>
-#include <gtkmm/button.h>
-
+#include <gtkmm.h>
 #include <gtkmm2ext/selector.h>
 
 #include "ardour_dialog.h"
diff -up ardour-2.8.16/gtk2_ardour/waveview.h~ ardour-2.8.16/gtk2_ardour/waveview.h
--- ardour-2.8.16/gtk2_ardour/waveview.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/waveview.h	2013-05-10 13:11:56.822102371 +0200
@@ -27,6 +27,7 @@
  * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#include <libgnomecanvasmm.h>
 #include <libgnomecanvasmm/item.h>
 #include "canvas-waveview.h"
 #include <libgnomecanvas/gnome-canvas-util.h>
diff -up ardour-2.8.16/gtk2_ardour/waveview_p.h~ ardour-2.8.16/gtk2_ardour/waveview_p.h
--- ardour-2.8.16/gtk2_ardour/waveview_p.h~	2009-02-24 13:37:42.000000000 +0100
+++ ardour-2.8.16/gtk2_ardour/waveview_p.h	2013-05-10 13:12:06.613103129 +0200
@@ -22,7 +22,7 @@
 #define _LIBGNOMECANVASMM_WAVEVIEW_P_H
 
 #include <libgnomecanvasmm/private/item_p.h>
-#include <glibmm/class.h>
+#include <glibmm.h>
 
 namespace Gnome
 {

seablade

2020-06-26 21:04

manager   ~0024510

Closing due to age of issue not being applicable anymore and fixed in newer versions.

Issue History

Date Modified Username Field Change
2013-05-10 12:34 jwrdegoede New Issue
2013-05-10 12:34 jwrdegoede File Added: ardour-fix-mm-includes.patch
2020-06-26 21:04 seablade Note Added: 0024510
2020-06-26 21:05 seablade Assigned To => seablade
2020-06-26 21:05 seablade Status new => closed
2020-06-26 21:05 seablade Resolution open => fixed